org.eclipse.wst.jsdt.chromium.debug.core.model

## Enum IgnoreCountData.State

- java.lang.Object
- - java.lang.Enum<IgnoreCountData.State>
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.IgnoreCountData.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IgnoreCountData.State>

Enclosing class:
  IgnoreCountData

    public static enum IgnoreCountData.State
    extends java.lang.Enum<IgnoreCountData.State>

Additional field of the ignore count data. It modulates semantics of the numeric 'value'.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISABLED` User has disabled ignore count, value stores last used number and is visible in 'properties' dialog.
`ENABLED` User has set ignore count for the breakpoint, value stores the number.
`RESET` IDE has disabled ignore count because debugger finally has stopped on the breakpoint.

### Method Summary

All Methods Static Methods Concrete Methods
`static IgnoreCountData.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IgnoreCountData.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENABLED

    public static final IgnoreCountData.State ENABLED

User has set ignore count for the breakpoint, value stores the number.

#### DISABLED

    public static final IgnoreCountData.State DISABLED

User has disabled ignore count, value stores last used number and is visible in 'properties' dialog.

#### RESET

    public static final IgnoreCountData.State RESET

IDE has disabled ignore count because debugger finally has stopped on the breakpoint. This differs from `DISABLED` only to give breakpoint handler a hint that this change mustn't be applied to SDK.

### Method Detail

#### values

    public static IgnoreCountData.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgnoreCountData.State c : IgnoreCountData.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgnoreCountData.State valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null